Site news

Moodle Browser Requirements

 
 
Picture of Theodis Garth
Moodle Browser Requirements
by Theodis Garth - Wednesday, October 30, 2013, 4:22 PM
 

For the best user experience when accessing Moodle, please use the following browsers: 

  • Mozilla Firefox

  • Internet Explorer 8 (IE 10 required for drag and drop of files from outside the browser into Moodle)

  • Safari 5

  • Google Chrome 11

  • Opera 9